!
!  Standard C-like Printf routine
!
!    Input:
!
!      %o0 = points to format string
!      %o1..%o5 = first 5 args
!      %o6 = caller's stack
!      %o7 = return address
!      [%sp+0] = 6th arg
!      [%sp+...] = more args
!
!    Output:
!
!      stuff displayed in IODevPrint window
!
	.align	4
	.global	printf
printf:
	sub	%sp,24,%sp
	st	%o0,[%sp+ 0]
	st	%o1,[%sp+ 4]
	st	%o2,[%sp+ 8]
	st	%o3,[%sp+12]
	st	%o4,[%sp+16]
	st	%o5,[%sp+20]
	st	%sp,[%g0+IODevPrintfArgs]
	retl
	add	%sp,24,%sp
